<!DOCTYPE html>
{% extends "base.html" %}

{% load static %}

{% block title %}Welcome to AdopsiPet!{% endblock %}

{% block styles %}
<link rel="stylesheet" type="text/css" href="{% static 'css/homepage.css' %}">
{% endblock %}

{% block content %}
    <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
        <ol class="carousel-indicators">
        <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
        <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
        </ol>
        <div class="carousel-inner">
            <div class="carousel-item active">
                <img class="d-block w-100" src="{% static 'images/homepage_background.jpg' %}" alt="First slide">
            </div>
            <div class="carousel-item">
                <img class="d-block w-100" src="{% static 'images/homepage_background_2.jpg' %}" alt="Second slide">
            </div>
        </div>
        <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
        <span class="sr-only">Previous</span>
        </a>
        <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
        <span class="carousel-control-next-icon" aria-hidden="true"></span>
        <span class="sr-only">Next</span>
        </a>
    </div>

    <div class="pet-available-section">
        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12" style="margin: 35px auto">
                <h1>Pet Available for Adoption</h1>
            </div>
        </div>
        <div class="row">
            {% for pet in pet_list %}
            <div class="col-xs-10 col-sm-6 col-md-3 col-lg-3 col-xl-3">
                <div class="pet-info pt-3">
                    {% for photo in photo_list %}
                        {% if photo.pet == pet %}
                            <div class="pet-photo mx-auto" style="
                                background: url('{{ photo.photo.url }}') no-repeat center center;
                                background-size: cover;
                                -webkit-background-size: cover;
                                -moz-background-size: cover;
                                -o-background-size: cover;
                            "></div>
                            <!-- <img src="{{ photo.photo.url }}" alt="pet photo"><br> -->
                        {% endif %}
                    {% endfor %}
                    <p>{{ pet.pet_name }}</p>
                    <div class="more-info">
                        <a href="/detail/{{ pet.id }}/">
                            <p>More Info</p>
                        </a>
                    </div>
                </div>
            </div>
            {% endfor %}
            <div class="col-xs-10 col-sm-6 col-md-3 col-lg-3 col-xl-3">
                <div class="more-pet">
                    <img src="{% static 'images/dog_paw.png' %}">
                    <p>More pets are waiting for you</p>
                    <div class="more-pet-info">
                        <a href="/category/">
                            <p>Meet Them</p>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="testimonial-section">
        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12" style="margin: 35px auto">
                <h1>Testimonials</h1>
            </div>
        </div>
        
        <div class="row">
            {% for list in data %}
            <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
                <div class="testimonial">
                    <div class="row">
                        <div class="col-xs-6 col-sm-6 col-md-6 col-lg-6 col-xl-6">
                            <img src="{% static 'images/icon.jpg' %}">
                            <p style="font-size: 18px">{{ list.name }}</p>
                            <p style="font-size: 16px">{{ list.occupation }}</p>
                        </div>
                        <div class="col-xs-6 col-sm-6 col-md-6 col-lg-6 col-xl-6">
                            <p style="color: #555555; font-size: 18px; margin: 50% auto">{{ list.testimonial }}</p> 
                        </div>
                    </div>
                </div>
            </div>
            {% endfor %}
        </div>
    </div>

    <div class="form-testimonial-section">
        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12" style="margin: 35px auto">
                <h1>Post Your Testimonial</h1>
            </div>
        </div>

        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
                <form method="POST" action="{% url 'inez:testimonial' %}">
                    {% csrf_token %}
                    <div class="form-group">
                        <label for="id_name">Name :</label>
                        <input class="form-control" type="text" name="name" maxlength="50" required="" id="id_name">
                    </div>
                    <div class="form-group">
                        <label for="id_occupation">Occupation :</label>
                        <input class="form-control" type="text" name="occupation" maxlength="50" required="" id="id_occupation">
                    </div>
                    <div class="form-group">
                        <label for="id_testimonial">Testimonial :</label>
                        <textarea class="form-control" name="testimonial" rows="4" maxlength="500" required="" id="id_testimonial"></textarea>
                    </div>

                    <button type="submit" class="btn btn-light"
                    style="background-color: #E85900; color: white; border-radius: 10px;
                    margin: 2.5% auto; float: right;
                    font-family: BalooThambi">Send</button>
                </form>
            </div>
        </div>
    </div>
{% endblock %}